Bug 228029 - textproc/dikt update to 2s1
Summary: textproc/dikt update to 2s1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Yuri Victorovich
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-05-06 15:58 UTC by info
Modified: 2018-05-27 18:24 UTC (History)
1 user (show)

See Also:


Attachments
diff from kde4 to kf5 (1.75 KB, patch)
2018-05-06 15:58 UTC, info
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description info 2018-05-06 15:58:38 UTC
Created attachment 193107 [details]
diff from kde4 to kf5

This updates the port to KF5 version.
Comment 1 Yuri Victorovich freebsd_committer 2018-05-06 22:01:50 UTC
Goran,

Please consider changing the versioning scheme of the upstream repository, if you are the owner. The new version is considered to be lower than the previous version that is in port now.

Semantic versioning works best: https://semver.org/

Yuri
Comment 2 Yuri Victorovich freebsd_committer 2018-05-06 22:57:30 UTC
Committed with changes.
Thank you for the update!
Comment 3 commit-hook freebsd_committer 2018-05-06 22:57:37 UTC
A commit references this bug:

Author: yuri
Date: Sun May  6 22:57:11 UTC 2018
New revision: 469254
URL: https://svnweb.freebsd.org/changeset/ports/469254

Log:
  textproc/dikt: Update 2l3 -> 2s1 (0.20161228)

  Port changes:
  * Add PORTEPOCH and change version to 0.20161228 because upstream versions changed backwards
  * Change qt4 -> qt5, kde4 -> kde5
  * Add LICENSE/LICENSE_FILE
  * Add to USE_KDE and USE_QT
  * Change WWW to https

  PR:		228029
  Submitted by:	goran.tal@gmail.com (maintainer)

Changes:
  head/textproc/dikt/Makefile
  head/textproc/dikt/distinfo
  head/textproc/dikt/pkg-descr
Comment 4 info 2018-05-07 01:28:14 UTC
Hi Yuri,

Thanks for fixing the submission and for updating the port.

The original versioning should have been fine, since 2s comes after 2l, so the new version is a higher version. Linux distros didn't have issues with it.

Is the problem because KDE apps now use dates for their versioning?

Goran
Comment 5 Yuri Victorovich freebsd_committer 2018-05-07 01:35:31 UTC
(In reply to goran.tal from comment #4)

Hi Goran,

pkg actually thinks it is increasing:
> #  pkg version -t 2l3 2s1
> <

But portlint complained. This might have actually been a bug in portlint, I didn't investigate.

Yuri
Comment 6 commit-hook freebsd_committer 2018-05-08 04:43:53 UTC
A commit references this bug:

Author: yuri
Date: Tue May  8 04:43:34 UTC 2018
New revision: 469351
URL: https://svnweb.freebsd.org/changeset/ports/469351

Log:
  textproc/dikt: Change version back to the original {digit}{letter}{digit} format

  The version was changed in r469254 because of the portlint error which was
  due to this bug: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=228058

  PR:		228029
  Reported by:	mat

Changes:
  head/textproc/dikt/Makefile
Comment 7 info 2018-05-27 14:08:52 UTC
I see that you found out that the problem was the incorrect use of DISTVERSION, and that you fixed it by reverting to PORTVERSION.

I noticed that somehow the site URL scheme in 'pkg-descr' changed from http to https. There is no SSL on that domain, so the site URL is now broken.

Could you revert the site URL in 'pkg-descr' as well? Thanks.
Comment 8 commit-hook freebsd_committer 2018-05-27 18:24:07 UTC
A commit references this bug:

Author: yuri
Date: Sun May 27 18:24:04 UTC 2018
New revision: 470989
URL: https://svnweb.freebsd.org/changeset/ports/470989

Log:
  textproc/dikt: Update WWW URL to a valid one

  Browsers redirect http://dikt.tv/ to https://www.dikt.tv/

  PR:		228029
  Reported by:	goran.tal@gmail.com (maintainer)

Changes:
  head/textproc/dikt/pkg-descr
Comment 9 Yuri Victorovich freebsd_committer 2018-05-27 18:24:32 UTC
(In reply to goran.tal from comment #7)

I updated it. Thanks for reporting!